%define svn_revision 73275

Name: chromium-browser
Version: 11.0.657.0.r%{svn_revision}
Release: %mkrel 1
Summary: A fast webkit-based web browser
Group: Networking/WWW
License: BSD, LGPL
Source0: chromium-%{version}.tar.xz
Source1: chromium-wrapper
Source2: chromium-browser.desktop
Source100: scoped_nsautorelease_pool.h
Patch0: chromium-72512-skip-builder-tests.patch
Patch1: chromium-69746-get-vp8-cx-algo-address.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: bison, flex, gtk2-devel, atk-devel, libexpat-devel, gperf
BuildRequires: libnspr-devel, libnss-devel, libalsa-devel
BuildRequires: libglib2-devel, libbzip2-devel, libz-devel, libpng-devel
BuildRequires: libjpeg-devel, libmesagl-devel, libmesaglu-devel
BuildRequires: libxscrnsaver-devel, libdbus-glib-devel, libcups-devel
BuildRequires: libgnome-keyring-devel libvpx-devel libxtst-devel
BuildRequires: libxslt-devel libxml2-devel libxt-devel
#BuildRequires: libsqlite3-devel
#BuildRequires: libicu-devel >= 4.6
ExclusiveArch: i586 x86_64 arm

%description
Chromium is a browser that combines a minimal design with sophisticated
technology to make the web faster, safer, and easier.

This is an unstable development version of the Chromium browser. It may
contain bugs or partially implemented features.

%prep
%setup -q -n chromium-%{svn_revision}
%patch0 -p1 -b .skip-builder-tests
%patch1 -p1 -b .get-vp8-cx-algo-address
echo "%{svn_revision}" > build/LASTCHANGE.in

# Hard code extra version
FILE=chrome/browser/platform_util_common_linux.cc
sed -i.orig -e 's/getenv("CHROME_VERSION_EXTRA")/"%{product_vendor} %{product_version}"/' $FILE
cmp $FILE $FILE.orig && exit 1

install -D %{_sourcedir}/scoped_nsautorelease_pool.h base/mac/scoped_nsautorelease_pool.h


%build
export GYP_GENERATORS=make
build/gyp_chromium --depth=. \
	-D linux_sandbox_path=%{_libdir}/chromium-browser/chrome-sandbox \
	-D linux_sandbox_chrome_path=%{_libdir}/chromium-browser/chrome \
	-D linux_link_gnome_keyring=0 \
	-D use_gconf=0 \
	-D werror='' \
	-D use_system_sqlite=0 \
	-D use_system_libxml=1 \
%ifarch i586
	-D disable_sse2=1 \
	-D release_extra_cflags="-march=i586"
%endif

# Note: DON'T use system sqlite (3.7.3) -- it breaks history search

%make chrome chrome_sandbox BUILDTYPE=Release

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/chromium-browser
mkdir -p %{buildroot}%{_libdir}/chromium-browser/locales
mkdir -p %{buildroot}%{_libdir}/chromium-browser/themes
mkdir -p %{buildroot}%{_mandir}/man1
install -m 755 %{_sourcedir}/chromium-wrapper %{buildroot}%{_libdir}/chromium-browser/
install -m 755 out/Release/chrome %{buildroot}%{_libdir}/chromium-browser/
install -m 4755 out/Release/chrome_sandbox %{buildroot}%{_libdir}/chromium-browser/chrome-sandbox
install -m 644 out/Release/chrome.1 %{buildroot}%{_mandir}/man1/chromium-browser.1
install -m 644 out/Release/chrome.pak %{buildroot}%{_libdir}/chromium-browser/
install -m 755 out/Release/libffmpegsumo.so %{buildroot}%{_libdir}/chromium-browser/
install -m 644 out/Release/locales/*.pak %{buildroot}%{_libdir}/chromium-browser/locales
install -m 644 out/Release/xdg-settings %{buildroot}%{_libdir}/chromium-browser/
install -m 644 out/Release/resources.pak %{buildroot}%{_libdir}/chromium-browser/
ln -s %{_libdir}/chromium-browser/chromium-wrapper %{buildroot}%{_bindir}/chromium-browser

find out/Release/resources/ -name "*.d" -exec rm {} \;
cp -r out/Release/resources %{buildroot}%{_libdir}/chromium-browser/

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{_sourcedir}/%{name}.desktop %{buildroot}%{_datadir}/applications/

# icon
for i in 16 32 48 256; do
	mkdir -p %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps
	install -m 644 chrome/app/theme/chromium/product_logo_$i.png \
		%{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}.png
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/chromium-browser
%{_libdir}/chromium-browser/chromium-wrapper
%{_libdir}/chromium-browser/chrome
%{_libdir}/chromium-browser/chrome-sandbox
%{_libdir}/chromium-browser/chrome.pak
%{_libdir}/chromium-browser/libffmpegsumo.so
%{_libdir}/chromium-browser/locales
%{_libdir}/chromium-browser/resources.pak
%{_libdir}/chromium-browser/resources
%{_libdir}/chromium-browser/themes
%{_libdir}/chromium-browser/xdg-settings
%{_mandir}/man1/chromium-browser*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Tue Feb 01 2011 Claudio Matsuoka <claudio@mandriva.com> 11.0.657.0.r73275-1
+ Revision: 634784
- update to new upstream version 11
- remove libvpx build hack
- add package generation helper scripts
- html5test score 244+9
- acid3 score 97 (failed tests 00, 04 and 05)
- khronos webgl test 5563 of 5619 passed, 1 timed out

* Thu Jan 20 2011 Claudio Matsuoka <claudio@mandriva.com> 10.0.630.0.r70630-3
+ Revision: 631907
- add new build requirement for Cooker: libxt-devel
- fix history search (don't use system sqlite)

* Sun Jan 09 2011 Claudio Matsuoka <claudio@mandriva.com> 10.0.630.0.r70630-1
+ Revision: 630681
- new snapshot (html5test: 244+9, acid3: 97)
- fixes password manager (bug #62073)
- add patch to fix html5 audio and video support

* Tue Jan 04 2011 Claudio Matsuoka <claudio@mandriva.com> 9.0.592.0.r66965-3mdv2011.0
+ Revision: 628504
+ rebuild (emptylog)

* Tue Jan 04 2011 Claudio Matsuoka <claudio@mandriva.com> 9.0.592.0.r66965-2mdv2011.0
+ Revision: 628502
- add distribution version to product version id
- update web store icon
- disable warning errors on build (gcc 4.5.1)
- disable GConf support
- use system sqlite
- use system libxml
- Bump release for submission to 2010.0/1 updates

* Tue Nov 23 2010 Claudio Matsuoka <claudio@mandriva.com> 9.0.592.0.r66965-1mdv2011.0
+ Revision: 600262
- new snapshot (html5test: 242+9, acid3: 97)
- fix scroll wheel zoom issue in google maps

* Fri Oct 15 2010 Claudio Matsuoka <claudio@mandriva.com> 8.0.554.0.r62433-1mdv2011.0
+ Revision: 585864
- new snapshot (html5test: ?, acid3: 97)
- fixed web inspector (Lutz Lacher)

* Tue Sep 28 2010 Claudio Matsuoka <claudio@mandriva.com> 7.0.530.0.r59943-1mdv2011.0
+ Revision: 581875
- Fix typecasting for x86_64
- new snapshot (html5test: 241+8, acid3: 97)

* Thu Aug 19 2010 Claudio Matsuoka <claudio@mandriva.com> 6.0.497.0.r56218-1mdv2011.0
+ Revision: 571375
- new snapshot (html5test: 222+6, acid3: 97)

* Thu Jul 08 2010 Claudio Matsuoka <claudio@mandriva.com> 6.0.454.0.r51426-1mdv2011.0
+ Revision: 549862
- new upstream snapshot
- Use packed resources file
- Update cleanup list
- new upstream snapshot
- disable sse2 in configuration instead of patch

* Tue Apr 27 2010 Claudio Matsuoka <claudio@mandriva.com> 5.0.389.0.r45688-1mdv2010.1
+ Revision: 539856
- New upstream snapshot (fixes URL copy-and-paste issue)

* Wed Apr 14 2010 Claudio Matsuoka <claudio@mandriva.com> 5.0.376.0.r44285-1mdv2010.1
+ Revision: 534941
- New development snapshot
- Add missing build requirement for 2009.1

* Mon Mar 29 2010 Claudio Matsuoka <claudio@mandriva.com> 5.0.363.0.r42621-1mdv2010.1
+ Revision: 528836
- New development snapshot (should fix #58438)
  Smaller source tarball

* Thu Mar 18 2010 Claudio Matsuoka <claudio@mandriva.com> 5.0.339.0.r40130-2mdv2010.1
+ Revision: 525089
- Fix execution in i586-compatible machines (#56913)

* Fri Feb 26 2010 Claudio Matsuoka <claudio@mandriva.com> 5.0.339.0.r40130-1mdv2010.1
+ Revision: 512124
- new upstream depot snapshot
- Add mdv release information to product version

* Wed Jan 13 2010 Claudio Matsuoka <claudio@mandriva.com> 4.0.298.0.r36160-1mdv2010.1
+ Revision: 491071
- Update build requirements
- New development snapshot

* Mon Dec 14 2009 Claudio Matsuoka <claudio@mandriva.com> 4.0.270.0.r34457-1mdv2010.1
+ Revision: 478660
- Use system bzip2, zlib, png and jpeg libs
- Add build requirement for libbzip2-devel
- Update snapshot to 4.0.270

* Tue Dec 08 2009 Claudio Matsuoka <claudio@mandriva.com> 4.0.249.0.r32802-5mdv2010.1
+ Revision: 474826
- Add unstable version notice to package description
- Repackage source to save space in backport trees (sorry, svn)

* Fri Dec 04 2009 Claudio Matsuoka <claudio@mandriva.com> 4.0.249.0.r32802-4mdv2010.1
+ Revision: 473523
- Set gyp variables for sandbox helper

* Thu Dec 03 2009 Claudio Matsuoka <claudio@mandriva.com> 4.0.249.0.r32802-3mdv2010.1
+ Revision: 473112
- Enable sandbox executable suid bit
- Build chrome_sandbox
- Enable x86_64 build
- Add missing libglib2-devel build requirement
- Fix branding in package description

* Fri Nov 27 2009 Claudio Matsuoka <claudio@mandriva.com> 4.0.249.0.r32802-1mdv2010.1
+ Revision: 470692
- Build only in i586 architecture.
- Fix libexpat-devel requirement
- Fix libalsa-devel requirement
- Fix group name
- Add LASTCHANGE setting to match svn revision
- Fix version number (where in the hell did I get that 2.x version number from??)
- Install icons and desktop file
- Add missing build requirements
- Add chromium desktop file
- import chromium-browser

